FSCK(8) | System Manager's Manual | FSCK(8)

# NAME

fsck — file system consistency check and interactive repair

# SYNOPSIS

fsck | [-dfnPpqvy] [-l maxparallel] [-T fstype:fsoptions] [-t fstype] [-x mountpoint] [special | node ...]

# DESCRIPTION

The fsck command invokes file system-specific programs to check the special devices listed in the fstab(5) file or in the command line for consistency.

It is normally used in the script /etc/rc during automatic reboot. If no file systems are specified, and “preen” mode is enabled ( -p option) fsck reads the table /etc/fstab to determine which file systems to check, in what order. Only partitions in fstab that are mounted ``rw,'' ``rq'' or ``ro'' and that have non-zero pass number are checked. File systems with pass number 1 (normally just the root file system) are checked one at a time. When pass 1 completes, all remaining file systems are checked, running one process per disk drive. By default, file systems which are already mounted read-write are not checked. The disk drive containing each file system is inferred from the longest prefix of the device name that ends in a digit; the remaining characters are assumed to be the partition designator.

The options are as follows:

-d
  Debugging mode. Just print the commands without executing them.
-f
  Force checking of file systems, even when they are marked clean (for file systems that support this), or when they are mounted read-write.
-l maxparallel
  Limit the number of parallel checks to the number specified in the following argument. By default, the limit is the number of disks, running one process per disk. If a smaller limit is given, the disks are checked round-robin, one file system at a time.
-n
  Causes fsck to assume no as the answer to all operator questions, except "CONTINUE?".
-P
  Display a progress meter for each file system check. This option also disables parallel checking. Note that progress meters are not supported by all file system types.
-p
  Enter preen mode. In preen mode, fsck will check all file systems listed in /etc/fstab according to their pass number, and will make minor repairs without human intervention.
-q
  Quiet mode, do not output any messages for clean filesystems.
-T fstype:fsoptions
  List of comma separated file system specific options for the specified file system type, in the same format as mount(8).
-t fstype
  Invoke fsck only for the comma separated list of file system types. If the list starts with “no” then invoke fsck for the file system types that are not specified in the list.
-v
  Print the commands before executing them.
-x mountpoint
  Exclude the filesystem which has a mountpoint the same as in /etc/fstab. Used only in “preen” mode.
-y
  Causes fsck to assume yes as the answer to all operator questions.

# FILES

/etc/fstab
  file system table

# EXIT STATUS

fsck exits with 0 on success. Any major problems will cause fsck to exit with the following non-zero exit(3) codes, so as to alert any invoking program or script that human intervention is required.

1
  Usage problem.
2
  Unresolved errors while checking the filesystem. Re-running fsck on the filesystem(s) is required.
4
  The root filesystem was changed in the process of checking, and updating the mount was unsuccessful. A reboot (without sync) is required.
8
  The filesystem check has failed, and a subsequent check is required that will require human intervention.
12
  fsck exited because of the result of a signal (usually SIGINT or SIGQUIT from the terminal).

# SEE ALSO

fstab(5), fsck_ext2fs(8), fsck_ffs(8), fsck_lfs(8), fsck_msdos(8), mount(8)

February 17, 2010 | NetBSD 6.0